---
title: Web Budget API
slug: Web/API/Web_Budget_API
tags:
  - API
  - BudgetService
  - BudgetState
  - Landing
  - NeedsContent
  - Overview
  - Reference
  - Web Budget API
---
<p>{{SeeCompatTable}}{{APIRef("Web Budget API")}}</p>

<h2 id="Concepts_and_Usage">Concepts and Usage</h2>

<p>TBD</p>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{domxref('BudgetService')}}</dt>
 <dd>Provides a programmatic interface to the user agent’s budget service. It is available in both document and worker environments.</dd>
 <dt>{{domxref('BudgetState')}}</dt>
 <dd>Provides the amount of the user agent's processing budget at a specific point in time.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Budget API')}}</td>
   <td>{{Spec2('Web Budget API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="BudgetService"><code>BudgetService</code></h3>

<p>{{Compat("api.BudgetService")}}</p>

<h3 id="BudgetState"><code>BudgetState</code></h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.BudgetState")}}</p>
